Subject: Re: [rmcat] Still looking for reviews of draft-ietf-rmcat-nada
From: Ingemar Johansson S <[email-masked]>
To: Anna Brunstrom <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 4 Jul 2017 11:50:42 +0000
List-Id: "RTP Media Congestion Avoidance Techniques \(RMCAT\) Working Group discussion list." <rmcat.ietf.org>

Hi

I have now read through draft-ietf-rmcat-nada-04 . I see that it differs from an earlier version in that there is more pseudo code added, which I believe simplifies the reading.
A few remarks :
Page 8, computation of d_tilde : I mentioned it before and it is also stated in the scream draft. I fear that the non-linear warping can be quite prone to create self-inflicted congestion and I recall that examples of this has been shown, and it was also dicussed  ?. If you agree with this, then it can be good to elaborate a bit around these risks in the draft.

Section 5.1.2 : Estimation of p_mark : I am not convinced that you will get a very meaningful metric here with a “classic” ECN marking behavior. On the one hand there can be e.g. RED based  ECN marking (and PIE) that increases the ECN mark ratio with the amount of ‘overload’, on the other hand there can be AQM algorithms that are more conservative in their ECN  marking behavior. L4S marking is a different story as L4S is here assumed to give a mark probability that scales with the link overload.

Regards
/Ingemar

From: Anna Brunstrom [mailto:[email-masked]]
Sent: den 30 juni 2017 12:43
To: [email-masked]
Subject: [rmcat] Still looking for reviews of draft-ietf-rmcat-nada

Dear all,

The WGLC for NADA ended some time ago without any wg feedback. We still need a few reviews in order to progress the document. Note that even if you have no specific comments, but have read the document and find it ready for publication this is useful feedback.

Thanks for your help,
Anna

On 2017-04-05 11:30, Anna Brunstrom wrote:

This email announces a RMCAT Working Group Last Call (WGLC) on:

NADA: A Unified Congestion Control Scheme for Real-Time Media
draft-ietf-rmcat-nada<https://datatracker.ietf.org/doc/draft-ietf-rmcat-nada/>

Due to Easter, this WGLC will run for 3 weeks, ending at midnight US Eastern Time on Tuesday, April 25.  Comments should preferably be sent to the [email-masked]<mailto:[email-masked]> list, although purely editorial comments may be sent directly to the authors at [email-masked]<mailto:[email-masked]> - if doing so, please cc: the WG chairs at [email-masked]<mailto:[email-masked]>.

We are looking for at least a couple of reviews during WGLC, so please help review the document.

Thanks,
Anna, Colin & Martin